{
  config,
  lib,
  pkgs,
  ...
}: {
  programs.starship = {
    enable = true;
    settings = {
      aws = {
        symbol = "  ";
      };

      battery = {
        disabled = true;
      };

      buf = {
        symbol = " ";
      };

      c = {
        symbol = " ";
      };

      character = {
        success_symbol = "[◯](bold green)";
        error_symbol = "[✗](bold red)";
        vicmd_symbol = "[ƴ](bold yellow)";
      };

      command_timeout = 1000;
      conda = {
        symbol = " ";
      };
      continuation_prompt = "→→";

      dart = {
        symbol = " ";
      };

      directory = {
        read_only = " ";
      };

      docker_context = {
        symbol = " ";
      };

      elixir = {
        symbol = " ";
      };

      elm = {
        symbol = " ";
      };

      fossil_branch = {
        symbol = " ";
      };

      git_branch = {
        symbol = " ";
      };

      git_metrics = {
        disabled = false;
        added_style = "bold blue";
      };

      git_status = {
        disabled = true;
        ahead = "⇡\${count}";
        diverged = "⇕⇡\${ahead_count}⇣\${behind_count}";
        behind = "⇣\${count}";
      };

      golang = {
        symbol = " ";
      };

      guix_shell = {
        symbol = " ";
      };

      haskell = {
        symbol = " ";
      };

      haxe = {
        symbol = "⌘ ";
      };

      hg_branch = {
        symbol = " ";
      };

      hostname = {
        ssh_symbol = " ";
      };

      java = {
        symbol = " ";
      };

      jobs = {
        symbol = "+";
      };

      julia = {
        symbol = " ";
      };

      lua = {
        symbol = " ";
      };

      memory_usage = {
        symbol = " ";
      };

      meson = {
        symbol = "喝 ";
      };

      nim = {
        symbol = " ";
      };

      nix_shell = {
        symbol = " ";
      };

      nodejs = {
        symbol = " ";
      };

      os.symbols = {
        "Alpaquita" = " ";
        "Alpine" = " ";
        "Amazon" = " ";
        "Android" = " ";
        "Arch" = " ";
        "Artix" = " ";
        "CentOS" = " ";
        "Debian" = " ";
        "DragonFly" = " ";
        "Emscripten" = " ";
        "EndeavourOS" = " ";
        "Fedora" = " ";
        "FreeBSD" = " ";
        "Garuda" = "﯑ ";
        "Gentoo" = " ";
        "HardenedBSD" = "ﲊ ";
        "Illumos" = " ";
        "Linux" = " ";
        "Mabox" = " ";
        "Macos" = " ";
        "Manjaro" = " ";
        "Mariner" = " ";
        "MidnightBSD" = " ";
        "Mint" = " ";
        "NetBSD" = " ";
        "NixOS" = " ";
        "OpenBSD" = " ";
        "openSUSE" = " ";
        "OracleLinux" = " ";
        "Pop" = " ";
        "Raspbian" = " ";
        "Redhat" = " ";
        "RedHatEnterprise" = " ";
        "Redox" = " ";
        "Solus" = "ﴱ ";
        "SUSE" = " ";
        "Ubuntu" = " ";
        "Unknown" = " ";
        "Windows" = " ";
      };

      package = {
        symbol = " ";
      };

      pijul_channel = {
        symbol = "🪺 ";
      };
      python = {
        symbol = " ";
      };

      rlang = {
        symbol = "ﳒ ";
      };

      ruby = {
        symbol = " ";
      };

      rust = {
        symbol = " ";
      };

      scala = {
        symbol = " ";
      };

      spack = {
        symbol = "🅢 ";
      };
    };
  };
}
