#!/bin/bash
if [[ ! -x $(command -v nix) ]]; then
	echo "make sure to install nix"
	exit 1
fi

nix-channel --add https://github.com/nix-community/home-manager/archive/master.tar.gz home-manager
nix-channel --update

nix-shell '<home-manager>' -A install

nix flake update
if [[ $(uname) == "Darwin" ]]; then
	# we're modern macOS
	home-manager switch --flake "$PWD/home-manager#aarch64-darwin-acicchetti"
else
	# we're linux
	home-manager switch --flake "$PWD/home-manager#x86_64-linux-acicchetti"
fi

git clone https://github.com/doomemacs/doomemacs ~/.emacs.d
~/.emacs.d/bin/doom install
